#!/bin/sh
echo 'name: tls
version: 0.8.5
id: tls-0.8.5-fbd12f31dd5456cd1d59ff4ce823a694

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.MAC
                Network.TLS.Measurement Network.TLS.Packet Network.TLS.Record
                Network.TLS.Record.Types Network.TLS.Record.Engage
                Network.TLS.Record.Disengage Network.TLS.State Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Wire
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/tls-0.8.5
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/tls-0.8.5
              /usr/local/lib
hs-libraries: HStls-0.8.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-93a63ba911a7eac625848432374f7fee
         bytestring-0.9.1.10-8fbcae7fd1f192307195284611c786a2
         cereal-0.3.5.1-a5fb77c7995b61edf36f8bcfc0ee5bdd
         certificate-1.0.1-a7b111e923f953a0160d71c87ce24f3e
         crypto-api-0.8-3cf025a2a12264976d06d7e2c2f97d97
         cryptocipher-0.3.0-5f02e3de01d9434dd7033710d1de954e
         cryptohash-0.7.4-e76a50c22b72e04891a24219dc58d2e1
         mtl-2.0.1.0-9763a8821c812a910d327bad2c0d23b2
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/tls-0.8.5/html/tls.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/tls-0.8.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
